-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.50-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema tienda
--

CREATE DATABASE IF NOT EXISTS tienda;
USE tienda;

--
-- Definition of table `articulos`
--

DROP TABLE IF EXISTS `articulos`;
CREATE TABLE `articulos` (
  `id_articulo` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(45) NOT NULL,
  `precio` double NOT NULL,
  PRIMARY KEY (`id_articulo`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `articulos`
--

/*!40000 ALTER TABLE `articulos` DISABLE KEYS */;
INSERT INTO `articulos` (`id_articulo`,`descripcion`,`precio`) VALUES 
 (1,'Albaricoques',2.35),
 (2,'Peras',3.15),
 (3,'Manzanas',4.4),
 (4,'Melon',3.6),
 (5,'Sandia',2.2),
 (6,'Platano',2.54),
 (7,'Melocoton',6.15);
/*!40000 ALTER TABLE `articulos` ENABLE KEYS */;


--
-- Definition of table `clientes`
--

DROP TABLE IF EXISTS `clientes`;
CREATE TABLE `clientes` (
  `id_cliente` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) NOT NULL,
  PRIMARY KEY (`id_cliente`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `clientes`
--

/*!40000 ALTER TABLE `clientes` DISABLE KEYS */;
INSERT INTO `clientes` (`id_cliente`,`nombre`) VALUES 
 (1,'Manolo Lopez'),
 (2,'Juan Gomez'),
 (3,'Manuela Pujol'),
 (4,'Pier NodoyUna');
/*!40000 ALTER TABLE `clientes` ENABLE KEYS */;


--
-- Definition of table `compras`
--

DROP TABLE IF EXISTS `compras`;
CREATE TABLE `compras` (
  `id_compra` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_factura` int(10) unsigned DEFAULT NULL,
  `id_articulo` int(10) unsigned DEFAULT NULL,
  `cantidad` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id_compra`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `compras`
--

/*!40000 ALTER TABLE `compras` DISABLE KEYS */;
INSERT INTO `compras` (`id_compra`,`id_factura`,`id_articulo`,`cantidad`) VALUES 
 (1,1,1,4),
 (2,1,3,5),
 (3,1,2,2),
 (4,1,6,4),
 (5,2,7,3),
 (6,2,2,4),
 (7,2,4,1),
 (8,3,3,1),
 (9,3,4,33),
 (10,4,5,4),
 (11,4,7,3),
 (12,4,2,2),
 (13,5,1,6),
 (14,5,4,5),
 (15,5,6,9),
 (16,6,1,16),
 (17,7,7,2),
 (18,7,3,11),
 (19,7,2,5),
 (20,8,5,2),
 (21,8,4,6),
 (22,9,5,8),
 (23,9,2,1),
 (24,10,5,9);
/*!40000 ALTER TABLE `compras` ENABLE KEYS */;


--
-- Definition of table `facturas`
--

DROP TABLE IF EXISTS `facturas`;
CREATE TABLE `facturas` (
  `id_factura` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fecha` date DEFAULT NULL,
  `id_cliente` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_factura`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `facturas`
--

/*!40000 ALTER TABLE `facturas` DISABLE KEYS */;
INSERT INTO `facturas` (`id_factura`,`fecha`,`id_cliente`) VALUES 
 (1,'2014-01-27',2),
 (2,'2014-01-27',1),
 (3,'2014-01-27',3),
 (4,'2014-01-27',1),
 (5,'2014-01-27',2),
 (6,'2014-01-27',1),
 (7,'2014-01-27',3),
 (8,'2014-01-27',1),
 (9,'2014-01-27',1),
 (10,'2014-01-27',2);
/*!40000 ALTER TABLE `facturas` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
